@echo off

echo Installing GEM...

mkdir ..\doc\gem_advanced
mkdir ..\doc\gem_basic
mkdir ..\doc\gem_io
mkdir ..\doc\gem_lighting
mkdir ..\doc\gem_particle
mkdir ..\doc\gem_pix
mkdir ..\doc\gem_texture
mkdir ..\doc\gem_manual

echo Copying examples...
copy examples\gem_advanced\* ..\doc\gem_advanced > tempInstall.trash
copy examples\gem_basic\* ..\doc\gem_basic > tempInstall.trash
copy examples\gem_io\* ..\doc\gem_io > tempInstall.trash
copy examples\gem_lighting\* ..\doc\gem_lighting > tempInstall.trash
copy examples\gem_particle\* ..\doc\gem_particle > tempInstall.trash
copy examples\gem_pix\* ..\doc\gem_pix > tempInstall.trash
copy examples\gem_texture\* ..\doc\gem_texture > tempInstall.trash
echo Copying documentation...
copy doc\gem*.* ..\doc\gem_manual > tempInstall.trash
copy manual\*.html ..\doc\gem_manual > tempInstall.trash
echo Copying reference files...
copy help\* ..\doc\5.reference > tempInstall.trash

del tempInstall.trash

echo Install finished.
